Xerces 3.1.1

## org.apache.xerces.dom
Interface DeferredNode

All Known Implementing Classes:
  DeferredEntityImpl, DeferredElementDefinitionImpl, DeferredElementNSImpl, DeferredElementImpl, DeferredTextImpl, DeferredCDATASectionImpl, DeferredDocumentTypeImpl, DeferredEntityReferenceImpl, DeferredDocumentImpl, DeferredAttrNSImpl, DeferredAttrImpl, DeferredCommentImpl, DeferredNotationImpl, DeferredProcessingInstructionImpl

public interface DeferredNode
extends Node

An interface for deferred node object.

Version:

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`int` `getNodeIndex()` Returns the node index.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getNodeIndex

    public int getNodeIndex()

  Returns the node index.

Xerces 3.1.1